Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.utils
Class GraphProperties

    java.lang.Object
      edu.uci.ics.jung.utils.GraphProperties

public class GraphProperties
extends Object

Author:
  Scott White

Constructor Summary
`GraphProperties()`

Method Summary
`static boolean` | `containsParallelEdges(Graph g)` Checks to see whether the graphs contains parallel edges
`static boolean` | `containsSelfLoops(Graph g)` Checks to see whether the graphs contains self-loops
`static boolean` | `isConnected(Graph g)` Checks to see whether the graph is connected.
`static boolean` | `isSimple(Graph g)` Checks to see whether the graphs is simple (that is, whether it contains parallel edges and self-loops).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphProperties

    public GraphProperties()

Method Detail

### isConnected

    public static boolean isConnected(Graph g)

  Checks to see whether the graph is connected.

  Parameters:
    `g` - the graph
  Returns:
    Return true if yes, false if no

### isSimple

    public static boolean isSimple(Graph g)

  Checks to see whether the graphs is simple (that is, whether it contains parallel edges and self-loops).

  Parameters:
    `g` - the graph
  Returns:
    true if yes, false if no

### containsSelfLoops

    public static boolean containsSelfLoops(Graph g)

  Checks to see whether the graphs contains self-loops

  Parameters:
    `g` - the graph
  Returns:
    true if yes, false if no

### containsParallelEdges

    public static boolean containsParallelEdges(Graph g)

  Checks to see whether the graphs contains parallel edges

  Parameters:
    `g` - the graph
  Returns:
    true if yes, false if no

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD